Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.querykeys
Class QueryKey

`java.lang.Object
oracle.toplink.querykeys.QueryKey`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  DirectQueryKey, ForeignReferenceQueryKey

public class QueryKey
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Purpose: Define a Java appropriate alias to a database field or function.

Responsibilities:

- Define the name of the alias.
- Define the descriptor of the alias.

See Also:
  Serialized Form

Constructor Summary
`QueryKey()`

Method Summary
`java.lang.String` | `getName()` PUBLIC: Return the name for the query key.
`boolean` | `isCollectionQueryKey()` PUBLIC:: Related query key should implement this method to return true.
`boolean` | `isDirectCollectionQueryKey()` PUBLIC:: Related query key should implement this method to return true.
`boolean` | `isDirectQueryKey()` PUBLIC:: Related query key should implement this method to return true.
`boolean` | `isForeignReferenceQueryKey()` PUBLIC:: Related query key should implement this method to return true.
`boolean` | `isManyToManyQueryKey()` PUBLIC:: Related query key should implement this method to return true.
`boolean` | `isOneToManyQueryKey()` PUBLIC:: Related query key should implement this method to return true.
`boolean` | `isOneToOneQueryKey()` PUBLIC:: Related query key should implement this method to return true.
`void` | `setName(java.lang.String name)` PUBLIC: Set the name for the query key.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryKey

    public QueryKey()

Method Detail

### getName

    public java.lang.String getName()

  PUBLIC: Return the name for the query key. This is the name that will be used in the expression.

### isCollectionQueryKey

    public boolean isCollectionQueryKey()

  PUBLIC:: Related query key should implement this method to return true.

### isDirectCollectionQueryKey

    public boolean isDirectCollectionQueryKey()

  PUBLIC:: Related query key should implement this method to return true.

### isDirectQueryKey

    public boolean isDirectQueryKey()

  PUBLIC:: Related query key should implement this method to return true.

### isForeignReferenceQueryKey

    public boolean isForeignReferenceQueryKey()

  PUBLIC:: Related query key should implement this method to return true.

### isManyToManyQueryKey

    public boolean isManyToManyQueryKey()

  PUBLIC:: Related query key should implement this method to return true.

### isOneToManyQueryKey

    public boolean isOneToManyQueryKey()

  PUBLIC:: Related query key should implement this method to return true.

### isOneToOneQueryKey

    public boolean isOneToOneQueryKey()

  PUBLIC:: Related query key should implement this method to return true.

### setName

    public void setName(java.lang.String name)

  PUBLIC: Set the name for the query key. This is the name that will be used in the expression.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD